apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: vma
  namespace: migration-test-migration
spec:
  running: true
  template:
    metadata:
      creationTimestamp: null
      labels:
        kubevirt.io/domain: vma
        kubevirt.io/vm: vma
    spec:
      architecture: amd64
      domain:
        cpu:
          cores: 1
          model: Haswell-noTSX
        devices:
          disks:
          - disk:
              bus: virtio
            name: containerdisk
          - disk:
              bus: virtio
            name: cloudinitdisk
          interfaces:
          - macAddress: 02:10:e8:00:00:4e
            masquerade: {}
            name: default
          - bridge: {}
            macAddress: 02:10:e8:00:00:4f
            name: network-migration-nad
          rng: {}
        memory:
          guest: 1Gi
        resources: {}
      networks:
      - name: default
        pod: {}
      - multus:
          networkName: network-migration-nad
        name: network-migration-nad
      terminationGracePeriodSeconds: 30
      volumes:
      - containerDisk:
          image: quay.io/openshift-cnv/qe-cnv-tests-fedora:40@sha256:5dd63748336914cc5d360b48286d5b48e562288c99b8801670d11925885ae110
        name: containerdisk
      - cloudInitNoCloud:
          networkData: |
            ethernets:
              eth1:
                addresses:
                - 10.200.0.1/24
            version: 2
          userData: |-
            #cloud-config
            chpasswd:
              expire: false
            password: password
            user: fedora
            ssh_pwauth: true

            ssh_authorized_keys:
             [ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDZatnlA7h5Q90qfrN1AYl1Enez9AKx5CKK02gvYJrddpkF+8VTsSs0BYYlOrr8aMgAP4bxyCl9PdY+nrHW1vwGBA2E/Q8U6ryDva0lBm6yignAjzRsIwyatwWdxWiFBEPhcVc758AzBls2chqOr7P4rK2m/iu+7+QhWDGX/ocquF2vf620NaAU/q2czJR5Kp9kYaEqdQUHZ9GB/LCWmyWAl4GRALhfzPs7gUua7M4cqvBSQt55oeK036OUALhWsNKKTn0bV4nlvTEEMPNy7M1eYEQem3xMMTuaBm9+alH3l8VtkTd87Sq7KWHjLH3NikWqck3j7+pN7ywLJvejkzvf root@exec1.rdocloud]
            runcmd: ['grep ssh-rsa /etc/crypto-policies/back-ends/opensshserver.config || sudo update-crypto-policies --set LEGACY || true', "sudo sed -i 's/^#\\?PasswordAuthentication no/PasswordAuthentication yes/g' /etc/ssh/sshd_config", 'sudo systemctl enable sshd', 'sudo systemctl restart sshd']
        name: cloudinitdisk
